//
//  SCPlayerEventListener.h
//  Spotx_sdk_ios
//
//  Copyright © 2019 smartclip. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SCAdSlotController.h"

NS_ASSUME_NONNULL_BEGIN

@protocol SCPlayerEventListener <NSObject>
- (void)playerEventCallbackWith:(SCAdPlayerEventType)playerEventType;
- (void)getAdInfo:(SCAdInfoCompletionBlock _Nonnull )completion;
- (void)getAdError:(SCAdErrorCompletionBlock _Nonnull )completion;
- (void)getPublicAdSlot:(SCPublicAdSlotCompletionBlock _Nonnull )completion;
- (void)onClickThrough;
- (void)onBufferEmpty;
- (void)onBufferRefilled;
- (void)loadAdSuccess;
- (void)loadAdFailure;
- (void)stopAdSlot;
@end

NS_ASSUME_NONNULL_END
